OpenAPI SpecificationJSON
API Reference

Email

An email object represents emails sent to Rossum inboxes.

Email

Attribute
Type
Description
id
read-only
integer

ID of the email

url
read-only
URL

URL of the email

queue
URL

Queue URL.

inbox
URL

URL of the associated inbox

parent
URL

URL of the parent email

email_thread
read-only
URL

URL of the associated email thread

children
list[URL]

List of URLs of the children emails

documents
read-only
list[URL]

List of documents attached to email

created_at
read-only
datetime

Timestamp of incoming email

last_thread_email_created_at
deprecatedread-only
datetime

(Deprecated) Timestamp of the most recent email in this email thread

subject
string | null

Email subject

from
object

Information about sender containing keys email and name

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

to
read-only
list[object]

List that contains information about recipients

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

cc
read-only
list[object]

List that contains information about recipients of carbon copy

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

bcc
read-only
list[object]

List that contains information about recipients of blind carbon copy

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

body_text_plain
string | null

Plain text email section (shortened to 4kB)

body_text_html
string | null

HTML email section (shortened to 4kB)

metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
type
read-only
"incoming" | "outgoing"

Email type. Can be incoming or outgoing

annotation_counts
object

This attribute is intended for INTERNAL use only and may be changed in the future. Information about how many annotations were extracted from email attachments and in which state they currently are.

annotations
integer

Total number of annotations (Annotation status: Any)

annotations_processed
integer

Number of processed annotations (Annotation status: exported, deleted, purged, split)

annotations_purged
integer

Number of purged annotations (Annotation status: purged)

annotations_unprocessed
integer

Number of not yet processed annotations (Annotation status: importing, failed_import, to_review, reviewing, confirmed, exporting, postponed, failed_export)

annotations_rejected
integer

Number of rejected annotations (Annotation status: rejected)

related_annotations
integer

Total number of related annotations (Annotation status: Any)

annotations
read-only
list[URL]

List of URLs of annotations that arrived via email

related_annotations
read-only
list[URL]

List of URLs of annotations that are related to the email (e.g. rejected by that, added as attachment etc.)

related_documents
read-only
list[URL]

List of URLs of documents related to the email (e.g. by forwarding email containing document as attachment etc.)

creator
read-only
URL

User that have sent the email. null if email has been received via SMTP

filtered_out_document_count
read-only
integer

This attribute is intended for INTERNAL use only and may be changed in the future without notice. Number of documents automatically filtered out by Rossum smart inbox (this feature can be configured in inbox settings).

labels
list["rejection" | "automatic_rejection" | "rejected" | "automatic_status_changed_info" | "forwarded" | "reply"]

List of email labels. Email objects can have assigned any number of labels.

Label nameDescription
rejectionOutgoing informative email sent by Rossum after email was manually rejected.
automatic_rejectionInformative automatic email sent by Rossum when no document was extracted from incoming email.
automatic_status_changed_infoInformative automatic email sent by Rossum about document status change.
rejectedIncoming email rejected together with all attached documents.
forwardedOutgoing email sent by forwarding other email.
replyOutgoing email sent by replying to another email.
content
read-only
URL

URL of the emails content.

List emails

Retrieve all emails objects.

GET
/api/v1/emails
curl -X GET "https://example.rossum.app/api/v1/emails?id=1%2C2%2C3&queue=1%2C2%2C3"
{
  "pagination": {
    "total": 1,
    "total_pages": 1,
    "next": null,
    "previous": null
  },
  "results": [
    {
      "id": 1234,
      "url": "https://example.rossum.app/api/v1/emails/1234",
      "queue": "https://example.rossum.app/api/v1/queues/8198",
      "inbox": "https://example.rossum.app/api/v1/inboxes/1229",
      "parent": "https://example.rossum.app/api/v1/emails/1234",
      "email_thread": "https://example.rossum.app/api/v1/email_threads/456",
      "children": [
        "https://example.rossum.app/api/v1/emails/1244"
      ],
      "documents": [
        "https://example.rossum.app/api/v1/documents/5678"
      ],
      "created_at": "2021-03-26T14:31:46.993427Z",
      "last_thread_email_created_at": "2021-03-27T14:29:48.665478Z",
      "subject": "Some email subject",
      "from": {
        "email": "company@east-west.com",
        "name": "Company East"
      },
      "to": [
        {
          "email": "east-west-trading-co-a34f3a@example.rossum.app",
          "name": "East West Trading"
        }
      ],
      "cc": [],
      "bcc": [],
      "body_text_plain": "Some body",
      "body_text_html": "<div dir=\"ltr\">Some body</div>",
      "metadata": {
        "some_key": "some_value"
      },
      "type": "outgoing",
      "annotation_counts": {
        "annotations": 3,
        "annotations_processed": 1,
        "annotations_purged": 0,
        "annotations_unprocessed": 1,
        "annotations_rejected": 1,
        "related_annotations": 0
      },
      "annotations": [
        "https://example.rossum.app/api/v1/annotations/1",
        "https://example.rossum.app/api/v1/annotations/2",
        "https://example.rossum.app/api/v1/annotations/4"
      ],
      "related_annotations": [],
      "related_documents": [
        "https://example.rossum.app/api/v1/documents/3"
      ],
      "creator": "https://example.rossum.app/api/v1/users/10775",
      "filtered_out_document_count": 2,
      "labels": [
        "rejected"
      ],
      "content": "https://example.rossum.app/api/v1/emails/1234"
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
pagination
pagination
total
integer

Total number of items.

total_pages
integer

Total number of pages.

next
URL

URL for the next page of results.

previous
URL

URL for the previous page of results.

results
id
read-only
integer

ID of the email

url
read-only
URL

URL of the email

queue
URL

Queue URL.

inbox
URL

URL of the associated inbox

parent
URL

URL of the parent email

email_thread
read-only
URL

URL of the associated email thread

children
list[URL]

List of URLs of the children emails

documents
read-only
list[URL]

List of documents attached to email

created_at
read-only
datetime

Timestamp of incoming email

last_thread_email_created_at
deprecatedread-only
datetime

(Deprecated) Timestamp of the most recent email in this email thread

subject
string | null

Email subject

from
object

Information about sender containing keys email and name

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

to
read-only
list[object]

List that contains information about recipients

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

cc
read-only
list[object]

List that contains information about recipients of carbon copy

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

bcc
read-only
list[object]

List that contains information about recipients of blind carbon copy

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

body_text_plain
string | null

Plain text email section (shortened to 4kB)

body_text_html
string | null

HTML email section (shortened to 4kB)

metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
type
read-only
"incoming" | "outgoing"

Email type. Can be incoming or outgoing

annotation_counts
object

This attribute is intended for INTERNAL use only and may be changed in the future. Information about how many annotations were extracted from email attachments and in which state they currently are.

annotations
integer

Total number of annotations (Annotation status: Any)

annotations_processed
integer

Number of processed annotations (Annotation status: exported, deleted, purged, split)

annotations_purged
integer

Number of purged annotations (Annotation status: purged)

annotations_unprocessed
integer

Number of not yet processed annotations (Annotation status: importing, failed_import, to_review, reviewing, confirmed, exporting, postponed, failed_export)

annotations_rejected
integer

Number of rejected annotations (Annotation status: rejected)

related_annotations
integer

Total number of related annotations (Annotation status: Any)

annotations
read-only
list[URL]

List of URLs of annotations that arrived via email

related_annotations
read-only
list[URL]

List of URLs of annotations that are related to the email (e.g. rejected by that, added as attachment etc.)

related_documents
read-only
list[URL]

List of URLs of documents related to the email (e.g. by forwarding email containing document as attachment etc.)

creator
read-only
URL

User that have sent the email. null if email has been received via SMTP

filtered_out_document_count
read-only
integer

This attribute is intended for INTERNAL use only and may be changed in the future without notice. Number of documents automatically filtered out by Rossum smart inbox (this feature can be configured in inbox settings).

labels
list["rejection" | "automatic_rejection" | "rejected" | "automatic_status_changed_info" | "forwarded" | "reply"]

List of email labels. Email objects can have assigned any number of labels.

Label nameDescription
rejectionOutgoing informative email sent by Rossum after email was manually rejected.
automatic_rejectionInformative automatic email sent by Rossum when no document was extracted from incoming email.
automatic_status_changed_infoInformative automatic email sent by Rossum about document status change.
rejectedIncoming email rejected together with all attached documents.
forwardedOutgoing email sent by forwarding other email.
replyOutgoing email sent by replying to another email.
content
read-only
URL

URL of the emails content.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve email

Get an email object.

GET
/api/v1/emails/{emailID}
curl -X GET "https://example.rossum.app/api/v1/emails/1234"
{
  "id": 1234,
  "url": "https://example.rossum.app/api/v1/emails/1234",
  "queue": "https://example.rossum.app/api/v1/queues/8198",
  "inbox": "https://example.rossum.app/api/v1/inboxes/1229",
  "parent": "https://example.rossum.app/api/v1/emails/1234",
  "email_thread": "https://example.rossum.app/api/v1/email_threads/456",
  "children": [
    "https://example.rossum.app/api/v1/emails/1244"
  ],
  "documents": [
    "https://example.rossum.app/api/v1/documents/5678"
  ],
  "created_at": "2021-03-26T14:31:46.993427Z",
  "last_thread_email_created_at": "2021-03-27T14:29:48.665478Z",
  "subject": "Some email subject",
  "from": {
    "email": "company@east-west.com",
    "name": "Company East"
  },
  "to": [
    {
      "email": "east-west-trading-co-a34f3a@example.rossum.app",
      "name": "East West Trading"
    }
  ],
  "cc": [],
  "bcc": [],
  "body_text_plain": "Some body",
  "body_text_html": "<div dir=\"ltr\">Some body</div>",
  "metadata": {
    "some_key": "some_value"
  },
  "type": "outgoing",
  "annotation_counts": {
    "annotations": 3,
    "annotations_processed": 1,
    "annotations_purged": 0,
    "annotations_unprocessed": 1,
    "annotations_rejected": 1,
    "related_annotations": 0
  },
  "annotations": [
    "https://example.rossum.app/api/v1/annotations/1",
    "https://example.rossum.app/api/v1/annotations/2",
    "https://example.rossum.app/api/v1/annotations/4"
  ],
  "related_annotations": [],
  "related_documents": [
    "https://example.rossum.app/api/v1/documents/3"
  ],
  "creator": "https://example.rossum.app/api/v1/users/10775",
  "filtered_out_document_count": 2,
  "labels": [
    "rejected"
  ],
  "content": "https://example.rossum.app/api/v1/emails/1234"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id
read-only
integer

ID of the email

url
read-only
URL

URL of the email

queue
URL

Queue URL.

inbox
URL

URL of the associated inbox

parent
URL

URL of the parent email

email_thread
read-only
URL

URL of the associated email thread

children
list[URL]

List of URLs of the children emails

documents
read-only
list[URL]

List of documents attached to email

created_at
read-only
datetime

Timestamp of incoming email

last_thread_email_created_at
deprecatedread-only
datetime

(Deprecated) Timestamp of the most recent email in this email thread

subject
string | null

Email subject

from
object

Information about sender containing keys email and name

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

to
read-only
list[object]

List that contains information about recipients

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

cc
read-only
list[object]

List that contains information about recipients of carbon copy

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

bcc
read-only
list[object]

List that contains information about recipients of blind carbon copy

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

body_text_plain
string | null

Plain text email section (shortened to 4kB)

body_text_html
string | null

HTML email section (shortened to 4kB)

metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
type
read-only
"incoming" | "outgoing"

Email type. Can be incoming or outgoing

annotation_counts
object

This attribute is intended for INTERNAL use only and may be changed in the future. Information about how many annotations were extracted from email attachments and in which state they currently are.

annotations
integer

Total number of annotations (Annotation status: Any)

annotations_processed
integer

Number of processed annotations (Annotation status: exported, deleted, purged, split)

annotations_purged
integer

Number of purged annotations (Annotation status: purged)

annotations_unprocessed
integer

Number of not yet processed annotations (Annotation status: importing, failed_import, to_review, reviewing, confirmed, exporting, postponed, failed_export)

annotations_rejected
integer

Number of rejected annotations (Annotation status: rejected)

related_annotations
integer

Total number of related annotations (Annotation status: Any)

annotations
read-only
list[URL]

List of URLs of annotations that arrived via email

related_annotations
read-only
list[URL]

List of URLs of annotations that are related to the email (e.g. rejected by that, added as attachment etc.)

related_documents
read-only
list[URL]

List of URLs of documents related to the email (e.g. by forwarding email containing document as attachment etc.)

creator
read-only
URL

User that have sent the email. null if email has been received via SMTP

filtered_out_document_count
read-only
integer

This attribute is intended for INTERNAL use only and may be changed in the future without notice. Number of documents automatically filtered out by Rossum smart inbox (this feature can be configured in inbox settings).

labels
list["rejection" | "automatic_rejection" | "rejected" | "automatic_status_changed_info" | "forwarded" | "reply"]

List of email labels. Email objects can have assigned any number of labels.

Label nameDescription
rejectionOutgoing informative email sent by Rossum after email was manually rejected.
automatic_rejectionInformative automatic email sent by Rossum when no document was extracted from incoming email.
automatic_status_changed_infoInformative automatic email sent by Rossum about document status change.
rejectedIncoming email rejected together with all attached documents.
forwardedOutgoing email sent by forwarding other email.
replyOutgoing email sent by replying to another email.
content
read-only
URL

URL of the emails content.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Partial update email

Update part of email object.

PATCH
/api/v1/emails/{emailID}
curl -X PATCH "https://example.rossum.app/api/v1/emails/1234" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 1234,
  "url": "https://example.rossum.app/api/v1/emails/1234",
  "queue": "https://example.rossum.app/api/v1/queues/8198",
  "inbox": "https://example.rossum.app/api/v1/inboxes/1229",
  "parent": "https://example.rossum.app/api/v1/emails/1234",
  "email_thread": "https://example.rossum.app/api/v1/email_threads/456",
  "children": [
    "https://example.rossum.app/api/v1/emails/1244"
  ],
  "documents": [
    "https://example.rossum.app/api/v1/documents/5678"
  ],
  "created_at": "2021-03-26T14:31:46.993427Z",
  "last_thread_email_created_at": "2021-03-27T14:29:48.665478Z",
  "subject": "Some email subject",
  "from": {
    "email": "company@east-west.com",
    "name": "Company East"
  },
  "to": [
    {
      "email": "east-west-trading-co-a34f3a@example.rossum.app",
      "name": "East West Trading"
    }
  ],
  "cc": [],
  "bcc": [],
  "body_text_plain": "Some body",
  "body_text_html": "<div dir=\"ltr\">Some body</div>",
  "metadata": {
    "some_key": "some_value"
  },
  "type": "outgoing",
  "annotation_counts": {
    "annotations": 3,
    "annotations_processed": 1,
    "annotations_purged": 0,
    "annotations_unprocessed": 1,
    "annotations_rejected": 1,
    "related_annotations": 0
  },
  "annotations": [
    "https://example.rossum.app/api/v1/annotations/1",
    "https://example.rossum.app/api/v1/annotations/2",
    "https://example.rossum.app/api/v1/annotations/4"
  ],
  "related_annotations": [],
  "related_documents": [
    "https://example.rossum.app/api/v1/documents/3"
  ],
  "creator": "https://example.rossum.app/api/v1/users/10775",
  "filtered_out_document_count": 2,
  "labels": [
    "rejected"
  ],
  "content": "https://example.rossum.app/api/v1/emails/1234"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
queue
URL

Queue URL.

inbox
URL

URL of the associated inbox

parent
URL

URL of the parent email

children
list[URL]

List of URLs of the children emails

subject
string | null

Email subject

from
object

Information about sender containing keys email and name

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

body_text_plain
string | null

Plain text email section (shortened to 4kB)

body_text_html
string | null

HTML email section (shortened to 4kB)

metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
annotation_counts
object

This attribute is intended for INTERNAL use only and may be changed in the future. Information about how many annotations were extracted from email attachments and in which state they currently are.

annotations
integer

Total number of annotations (Annotation status: Any)

annotations_processed
integer

Number of processed annotations (Annotation status: exported, deleted, purged, split)

annotations_purged
integer

Number of purged annotations (Annotation status: purged)

annotations_unprocessed
integer

Number of not yet processed annotations (Annotation status: importing, failed_import, to_review, reviewing, confirmed, exporting, postponed, failed_export)

annotations_rejected
integer

Number of rejected annotations (Annotation status: rejected)

related_annotations
integer

Total number of related annotations (Annotation status: Any)

labels
list["rejection" | "automatic_rejection" | "rejected" | "automatic_status_changed_info" | "forwarded" | "reply"]

List of email labels. Email objects can have assigned any number of labels.

Label nameDescription
rejectionOutgoing informative email sent by Rossum after email was manually rejected.
automatic_rejectionInformative automatic email sent by Rossum when no document was extracted from incoming email.
automatic_status_changed_infoInformative automatic email sent by Rossum about document status change.
rejectedIncoming email rejected together with all attached documents.
forwardedOutgoing email sent by forwarding other email.
replyOutgoing email sent by replying to another email.

Response

200OK

OK

Attribute
Type
Description
id
read-only
integer

ID of the email

url
read-only
URL

URL of the email

queue
URL

Queue URL.

inbox
URL

URL of the associated inbox

parent
URL

URL of the parent email

email_thread
read-only
URL

URL of the associated email thread

children
list[URL]

List of URLs of the children emails

documents
read-only
list[URL]

List of documents attached to email

created_at
read-only
datetime

Timestamp of incoming email

last_thread_email_created_at
deprecatedread-only
datetime

(Deprecated) Timestamp of the most recent email in this email thread

subject
string | null

Email subject

from
object

Information about sender containing keys email and name

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

to
read-only
list[object]

List that contains information about recipients

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

cc
read-only
list[object]

List that contains information about recipients of carbon copy

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

bcc
read-only
list[object]

List that contains information about recipients of blind carbon copy

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

body_text_plain
string | null

Plain text email section (shortened to 4kB)

body_text_html
string | null

HTML email section (shortened to 4kB)

metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
type
read-only
"incoming" | "outgoing"

Email type. Can be incoming or outgoing

annotation_counts
object

This attribute is intended for INTERNAL use only and may be changed in the future. Information about how many annotations were extracted from email attachments and in which state they currently are.

annotations
integer

Total number of annotations (Annotation status: Any)

annotations_processed
integer

Number of processed annotations (Annotation status: exported, deleted, purged, split)

annotations_purged
integer

Number of purged annotations (Annotation status: purged)

annotations_unprocessed
integer

Number of not yet processed annotations (Annotation status: importing, failed_import, to_review, reviewing, confirmed, exporting, postponed, failed_export)

annotations_rejected
integer

Number of rejected annotations (Annotation status: rejected)

related_annotations
integer

Total number of related annotations (Annotation status: Any)

annotations
read-only
list[URL]

List of URLs of annotations that arrived via email

related_annotations
read-only
list[URL]

List of URLs of annotations that are related to the email (e.g. rejected by that, added as attachment etc.)

related_documents
read-only
list[URL]

List of URLs of documents related to the email (e.g. by forwarding email containing document as attachment etc.)

creator
read-only
URL

User that have sent the email. null if email has been received via SMTP

filtered_out_document_count
read-only
integer

This attribute is intended for INTERNAL use only and may be changed in the future without notice. Number of documents automatically filtered out by Rossum smart inbox (this feature can be configured in inbox settings).

labels
list["rejection" | "automatic_rejection" | "rejected" | "automatic_status_changed_info" | "forwarded" | "reply"]

List of email labels. Email objects can have assigned any number of labels.

Label nameDescription
rejectionOutgoing informative email sent by Rossum after email was manually rejected.
automatic_rejectionInformative automatic email sent by Rossum when no document was extracted from incoming email.
automatic_status_changed_infoInformative automatic email sent by Rossum about document status change.
rejectedIncoming email rejected together with all attached documents.
forwardedOutgoing email sent by forwarding other email.
replyOutgoing email sent by replying to another email.
content
read-only
URL

URL of the emails content.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Update email

Update email object.

PUT
/api/v1/emails/{emailID}
curl -X PUT "https://example.rossum.app/api/v1/emails/1234" \  -H "Content-Type: application/json" \  -d '{    "queue": "https://example.rossum.app/api/v1/queues/8198",    "inbox": "https://example.rossum.app/api/v1/inboxes/1229"  }'
{
  "id": 1234,
  "url": "https://example.rossum.app/api/v1/emails/1234",
  "queue": "https://example.rossum.app/api/v1/queues/8198",
  "inbox": "https://example.rossum.app/api/v1/inboxes/1229",
  "parent": "https://example.rossum.app/api/v1/emails/1234",
  "email_thread": "https://example.rossum.app/api/v1/email_threads/456",
  "children": [
    "https://example.rossum.app/api/v1/emails/1244"
  ],
  "documents": [
    "https://example.rossum.app/api/v1/documents/5678"
  ],
  "created_at": "2021-03-26T14:31:46.993427Z",
  "last_thread_email_created_at": "2021-03-27T14:29:48.665478Z",
  "subject": "Some email subject",
  "from": {
    "email": "company@east-west.com",
    "name": "Company East"
  },
  "to": [
    {
      "email": "east-west-trading-co-a34f3a@example.rossum.app",
      "name": "East West Trading"
    }
  ],
  "cc": [],
  "bcc": [],
  "body_text_plain": "Some body",
  "body_text_html": "<div dir=\"ltr\">Some body</div>",
  "metadata": {
    "some_key": "some_value"
  },
  "type": "outgoing",
  "annotation_counts": {
    "annotations": 3,
    "annotations_processed": 1,
    "annotations_purged": 0,
    "annotations_unprocessed": 1,
    "annotations_rejected": 1,
    "related_annotations": 0
  },
  "annotations": [
    "https://example.rossum.app/api/v1/annotations/1",
    "https://example.rossum.app/api/v1/annotations/2",
    "https://example.rossum.app/api/v1/annotations/4"
  ],
  "related_annotations": [],
  "related_documents": [
    "https://example.rossum.app/api/v1/documents/3"
  ],
  "creator": "https://example.rossum.app/api/v1/users/10775",
  "filtered_out_document_count": 2,
  "labels": [
    "rejected"
  ],
  "content": "https://example.rossum.app/api/v1/emails/1234"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
queue*
URL

Queue URL.

inbox*
URL

URL of the associated inbox

parent
URL

URL of the parent email

children
list[URL]

List of URLs of the children emails

subject
string | null

Email subject

from
object

Information about sender containing keys email and name

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

body_text_plain
string | null

Plain text email section (shortened to 4kB)

body_text_html
string | null

HTML email section (shortened to 4kB)

metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
annotation_counts
object

This attribute is intended for INTERNAL use only and may be changed in the future. Information about how many annotations were extracted from email attachments and in which state they currently are.

annotations
integer

Total number of annotations (Annotation status: Any)

annotations_processed
integer

Number of processed annotations (Annotation status: exported, deleted, purged, split)

annotations_purged
integer

Number of purged annotations (Annotation status: purged)

annotations_unprocessed
integer

Number of not yet processed annotations (Annotation status: importing, failed_import, to_review, reviewing, confirmed, exporting, postponed, failed_export)

annotations_rejected
integer

Number of rejected annotations (Annotation status: rejected)

related_annotations
integer

Total number of related annotations (Annotation status: Any)

labels
list["rejection" | "automatic_rejection" | "rejected" | "automatic_status_changed_info" | "forwarded" | "reply"]

List of email labels. Email objects can have assigned any number of labels.

Label nameDescription
rejectionOutgoing informative email sent by Rossum after email was manually rejected.
automatic_rejectionInformative automatic email sent by Rossum when no document was extracted from incoming email.
automatic_status_changed_infoInformative automatic email sent by Rossum about document status change.
rejectedIncoming email rejected together with all attached documents.
forwardedOutgoing email sent by forwarding other email.
replyOutgoing email sent by replying to another email.

Response

200OK

OK

Attribute
Type
Description
id
read-only
integer

ID of the email

url
read-only
URL

URL of the email

queue
URL

Queue URL.

inbox
URL

URL of the associated inbox

parent
URL

URL of the parent email

email_thread
read-only
URL

URL of the associated email thread

children
list[URL]

List of URLs of the children emails

documents
read-only
list[URL]

List of documents attached to email

created_at
read-only
datetime

Timestamp of incoming email

last_thread_email_created_at
deprecatedread-only
datetime

(Deprecated) Timestamp of the most recent email in this email thread

subject
string | null

Email subject

from
object

Information about sender containing keys email and name

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

to
read-only
list[object]

List that contains information about recipients

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

cc
read-only
list[object]

List that contains information about recipients of carbon copy

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

bcc
read-only
list[object]

List that contains information about recipients of blind carbon copy

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

body_text_plain
string | null

Plain text email section (shortened to 4kB)

body_text_html
string | null

HTML email section (shortened to 4kB)

metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
type
read-only
"incoming" | "outgoing"

Email type. Can be incoming or outgoing

annotation_counts
object

This attribute is intended for INTERNAL use only and may be changed in the future. Information about how many annotations were extracted from email attachments and in which state they currently are.

annotations
integer

Total number of annotations (Annotation status: Any)

annotations_processed
integer

Number of processed annotations (Annotation status: exported, deleted, purged, split)

annotations_purged
integer

Number of purged annotations (Annotation status: purged)

annotations_unprocessed
integer

Number of not yet processed annotations (Annotation status: importing, failed_import, to_review, reviewing, confirmed, exporting, postponed, failed_export)

annotations_rejected
integer

Number of rejected annotations (Annotation status: rejected)

related_annotations
integer

Total number of related annotations (Annotation status: Any)

annotations
read-only
list[URL]

List of URLs of annotations that arrived via email

related_annotations
read-only
list[URL]

List of URLs of annotations that are related to the email (e.g. rejected by that, added as attachment etc.)

related_documents
read-only
list[URL]

List of URLs of documents related to the email (e.g. by forwarding email containing document as attachment etc.)

creator
read-only
URL

User that have sent the email. null if email has been received via SMTP

filtered_out_document_count
read-only
integer

This attribute is intended for INTERNAL use only and may be changed in the future without notice. Number of documents automatically filtered out by Rossum smart inbox (this feature can be configured in inbox settings).

labels
list["rejection" | "automatic_rejection" | "rejected" | "automatic_status_changed_info" | "forwarded" | "reply"]

List of email labels. Email objects can have assigned any number of labels.

Label nameDescription
rejectionOutgoing informative email sent by Rossum after email was manually rejected.
automatic_rejectionInformative automatic email sent by Rossum when no document was extracted from incoming email.
automatic_status_changed_infoInformative automatic email sent by Rossum about document status change.
rejectedIncoming email rejected together with all attached documents.
forwardedOutgoing email sent by forwarding other email.
replyOutgoing email sent by replying to another email.
content
read-only
URL

URL of the emails content.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Import email

Import an email as raw data. Calling this endpoint starts an asynchronous process of creating an email object and importing its contents to the specified recipient inbox in Rossum. This endpoint can be used only by admin and organization_group_admin roles and email can be imported only to inboxes within the organization. The caller of this endpoint will be specified as the creator of the email. The email sender specified in the from header will still receive any automated notifications targeted to the email recipients.

Import email endpoint is asynchronous and response contains created task url. Further information about the import status may be acquired by retrieving the email object or the task (for more information, please refer to task

POST
/api/v1/emails/import
curl -X POST "https://example.rossum.app/api/v1/emails/import" \  -F raw_message="string" \  -F recipient="user@example.com"
{
  "url": "https://example.rossum.app/api/v1/tasks/1"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

multipart/form-data

Attribute
Type
Description
raw_message*
string (binary)

Raw email data.

recipient*
string (email)

Email address of the inbox where the email will be imported.

metadata
string

JSON object with metadata to be set on created annotations.

values
string

JSON object with values to be set on created annotations. All keys must start with the emails_import: prefix (e.g., emails_import:customer_id).

Response

202

Accepted

Attribute
Type
Description
url
URL

URL of the created task

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve email content

Retrieve content of email.

Email content is unprocessed, unsanitized content and may contain possibly dangerous attachments. Be cautious while working with it.

GET
/api/v1/emails/{emailID}/content
curl -X GET "https://example.rossum.app/api/v1/emails/1234/content"
"string"
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

responsestring (binary)
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Send email

Send email to specified recipients. The number of emails that can be sent is limited (10 for trials accounts).

At least one email in to, cc, bcc must be filled. The total number of recipients (to, cc and bcc together) cannot exceed 40.

If the related annotation has null email thread, it will be linked to the email thread related to the email created.

Template values

The object template_values is used to create an outgoing email. Key subject is used to fill an email subject and message is used to fill a body of the email (it may contain a subset of HTML). Values may contain other placeholders that are either built-in (see below) or specified in the template_values. For placeholders referring to annotations, the annotations from related_annotations attribute are used for filling in correct values.

List of built-in placeholders

PlaceholderDescriptionCan be used in automation
organization_nameName of the organization.True
app_urlApp root urlTrue
user_nameUsername of the user sending the email.False
current_user_fullnameFull name of user sending the email.False
current_user_emailEmail address of the user sending the email.False
parent_email_subjectSubject of the email we are replying to.True
sender_emailEmail address of the author of the incoming email.True
annotation.document.original_file_nameFilenames of the documents belonging to the related annotation(s)True
annotation.content.value.{schema_id}Content value of datapoints from email related annotation(s)True
annotation.idIDs of the related annotation(s)True
annotation.urlUrls of the related annotation(s)True
annotation.assignee_emailEmails of the assigned users to the related annotation(s)True
POST
/api/v1/emails/send
curl -X POST "https://example.rossum.app/api/v1/emails/send" \  -H "Content-Type: application/json" \  -d '{    "queue": "https://example.rossum.app/api/v1/queues/8198"  }'
{
  "url": "https://example.rossum.app/api/v1/emails/1234"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
to
list[object]

List that contains information about recipients.

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

cc
list[object]

List that contains information about recipients of carbon copy.

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

bcc
list[object]

List that contains information about recipients of blind carbon copy.

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

template_values
object

Values to fill in the email template, it should always contain subject and message keys.

subject
string

Email subject template

message
string

Email message template (may contain HTML)

queue*
URL

Queue URL.

related_annotations
list[URL]

List of links to email-related annotations.

related_documents
list[URL]

List of URLs to email-related documents (on the top of related_annotations documents which are linked automatically).

attachments
object

Keys are attachment types (currently only documents key is supported), value is list of URL.

documents
list[URL]

List of document URLs to attach

parent_email
URL

Link to parent email.

reset_related_annotations_email_thread
boolean

Update related annotations, so that their email thread matches the one of the email object created.

labels
list["rejection" | "automatic_rejection" | "rejected" | "automatic_status_changed_info" | "forwarded" | "reply"]

List of email labels.

email_template
URL

Link to the email template that was used for the email creation. If specified, the email will be included in the email templates stats.

Response

200OK

OK

Attribute
Type
Description
url
URL

URL of the created email

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error